%define name gringotts
%define version 1.2.3
%define release 1mdk
%define summary An electronic strongbox

Summary:     %summary
Name: 		%{name} 
Version: 	%{version}
Release: 	%{release}
Source0: 	%{name}-%{version}.tar.bz2
Source1:         %{name}-48.png
Source2:         %{name}-32.png
Source3:         %{name}-16.png
URL:		http://devel.pluto.linux.it/projects/Gringotts/
License:          GPL
Group:           File tools  
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildPrereq: libgtk+2-devel
BuildRequires: libgringotts-devel >= 1.1.1

 
%description
Gringotts is a small but (hopely ;) useful utility that stores sensitive
data (passwords, credit card numbers, girlfriends' addresses) in an
organized, optimized and most of all very secure form.
It uses libGringotts to provide a strong level of encryption, just aiming
to be as trustworthy as possible.

%prep
%setup -q
%build

%configure2_5x 

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall
%find_lang %name
# install menu
mkdir -p $RPM_BUILD_ROOT/%{_menudir}
cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%{name}
?package(%{name}):\
needs="x11"\
section="Applications/File tools"\
title="Gringotts"\
longtitle="%summary"\
command="%_bindir/%{name}"\
icon="%{name}.png" 
EOF

# install icons
mkdir -p $RPM_BUILD_ROOT{%{_liconsdir},%{_miconsdir},%{_iconsdir}}
cp %{SOURCE1} $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
cp %{SOURCE2} $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
cp %{SOURCE3} $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png 

%clean
rm -rf $RPM_BUILD_ROOT

%post
echo
echo -----------------------------------------------------
echo   md5sum of %{_bindir}/gringotts
echo
md5sum %{_bindir}/gringotts|(read A B; echo $A)
echo
echo use this value to check program integrity at any time
echo -----------------------------------------------------
echo
%{update_menus}

%postun
%{clean_menus}


%files -f %name.lang
%defattr(-, root, root)
%doc README ChangeLog AUTHORS TODO COPYING BUGS
%attr(4755,root,root) %{_bindir}/*
%{_libdir}/menu/* 
%{_datadir}/pixmaps/gringotts.xpm
%{_datadir}/gnome/apps/Utilities/gringotts.desktop
%_liconsdir/%name.png
%_iconsdir/%name.png
%_miconsdir/%name.png

%changelog
* Tue Jan  7 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.2.3-1mdk
- new version

* Fri Dec 27 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.2.2-3mdk
- rebuild

* Mon Dec 16 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.2.2-2mdk
- put the full path into the menu entry

* Fri Dec  6 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.2.2-1mdk
- new version

* Thu Nov 21 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.2.1-1mdk
- new version

* Mon Nov 18 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.2.0-1mdk
- buildrequires libgringotts-devel 1.1.1
- new version

* Tue Nov  5 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.2.0-0.pre2.1mdk
- new version

* Mon Nov  4 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.1.2-1mdk
- new version

* Thu Oct 24 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.1.1-1mdk
- new version

* Tue Oct 22 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.1.0-1mdk
- new version

* Mon Oct 21 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.0.0-2mdk
- fix requires

* Mon Oct 21 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.0.0-1mdk
- quiet tar
- fix icon in menu entry
- set suid root in the file list, not in post
- use spec from Charles A Edwards <eslrahc@bellsouth.net>

* Sat Oct 19 2002 Charles A Edwards <eslrahc@bellsouth.net>
- first Mandrake pkg 
- adapted spec from http://devel.pluto.linux.it/projects/Gringotts  
